﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;

using MedicalResearch.Utilities;
using MedicalResearch.BusinessLayer;
using MedicalResearch.BusinessFactory;
using MedicalResearch.Entities;


namespace MedicalResearch.ServiceLayer
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "IService1" in both code and config file together.
    [ServiceContract]
    public interface IMedicalResearchService
    {

        [OperationContract]
        [FaultContract(typeof(MRServiceError))]

           bool AddDiseaseDetails(Entities.DiseaseDetails diseaseDetails);


        [OperationContract]
        [FaultContract(typeof(MRServiceError))]
          List<DiseaseDetails> GetAllDiseases();

        
        [OperationContract]
        [FaultContract(typeof(MRServiceError))]
         bool AddSymptomToDisease(SymptomDetails symptomDetails);

        
        [OperationContract]
        [FaultContract(typeof(MRServiceError))]
         List<DiagnoseDetails> RetrieveDiagnoseResults(List<string> listOfSymptoms);


        [OperationContract]
        [FaultContract(typeof(MRServiceError))]
        List<string> RetrieveUniqueSymptoms();

    }


    // Use a data contract as illustrated in the sample below to add composite types to service operations.
    [DataContract]
    public class CompositeType
    {
        bool boolValue = true;
        string stringValue = "Hello ";

        [DataMember]
        public bool BoolValue
        {
            get { return boolValue; }
            set { boolValue = value; }
        }

        [DataMember]
        public string StringValue
        {
            get { return stringValue; }
            set { stringValue = value; }
        }
    }
}
